org.rrd4j.core

## Class RrdDouble<U extends RrdUpdater<U>>

- java.lang.Object
- - org.rrd4j.core.RrdPrimitive<U>
  - - org.rrd4j.core.RrdDouble<U>

- Type Parameters:
    `U` - the updater type

      class RrdDouble<U extends RrdUpdater<U>>
      extends RrdPrimitive<U>

  RRD double primitive type.

- - ### Field Summary

    - ### Fields inherited from class org.rrd4j.core.RrdPrimitive

      `RRD_DOUBLE, RRD_INT, RRD_LONG, RRD_PRIM_SIZES, RRD_STRING, STRING_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RrdDouble(RrdUpdater<U> updater)` Creates a new RRD double primitive.
    `RrdDouble(RrdUpdater<U> updater, boolean isConstant)` Creates a new RRD double primitive.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) double` | `get()` Gets the double value.
    `(package private) void` | `set(double value)` Sets the double value.

    - ### Methods inherited from class org.rrd4j.core.RrdPrimitive

      `isCachingAllowed, readBytes, readDouble, readDouble, readDouble, readEnum, readInt, readLong, readString, writeBytes, writeDouble, writeDouble, writeDouble, writeDouble, writeEnum, writeInt, writeLong, writeString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RrdDouble

          RrdDouble(RrdUpdater<U> updater)

      Creates a new RRD double primitive.
      Parameters:
        `updater` - the updater

    - #### RrdDouble

          RrdDouble(RrdUpdater<U> updater,
                    boolean isConstant)

      Creates a new RRD double primitive.
      Parameters:
        `updater` - the updater
        `isConstant` - whether this is a constant value

  - ### Method Detail

    - #### get

          double get()
              throws IOException

      Gets the double value.
      Returns:
        the double value
      Throws:
        `IOException` - if an I/O error occurs

    - #### set

          void set(double value)
            throws IOException

      Sets the double value.
      Parameters:
        `value` - the value to set
      Throws:
        `IOException` - if an I/O error occurs